Bug 19185 - unaligned traps and machine checks
unaligned traps and machine checks
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-16 11:41 EDT by harry.heinisch
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-25 05:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description harry.heinisch 2000-10-16 11:41:15 EDT
I'm running a dual headed X configuration (2 matrox millenia in the 64-bit
slots) in a Miata:
Oct 15 22:51:44 omega kernel: Booting GENERIC on Miata using machine vector
Miata from SRM

when I start X, I get 64 PYXIS machine checks:
Oct 16 01:58:45 omega kernel: PYXIS machine check: vector=0x660
pc=0x12006ff64
ra=0x12006f470 args=0x0/0x80/0x40
Oct 16 01:58:45 omega kernel: PYXIS machine check: vector=0x660
pc=0x12006ff64
ra=0x12006ff84 args=0x0/0x80/0x40
Oct 16 01:58:45 omega last message repeated 62 times

and then a ton of unaligned traps (but I haven't figured out what event
they correspond to).  All of them are the same message:
Oct 16 01:58:47 omega kernel: X(13967): unaligned trap at 0000000120cd48a4:
0000000120bfe49b 28 3

Interesting lines from /proc/pci:
  Bus  0, device  11, function  0:
    Display controller: Matrox Millennium (rev 1).
      Medium devsel.  Fast back-to-back capable.  IRQ 28.
      Non-prefetchable 32 bit memory at 0x9004000 [0x9004000].
      Non-prefetchable 32 bit memory at 0x9800000 [0x9800000].
  Bus  0, device  12, function  0:
    VGA compatible controller: Matrox Millennium II (rev 0).
      Medium devsel.  Fast back-to-back capable.  IRQ 32.  Master Capable. 
Latency=248.  
      Non-prefetchable 32 bit memory at 0xa000000 [0xa000000].
      Non-prefetchable 32 bit memory at 0xb000000 [0xb000000].

and non-default lines from my XF86Config-4:
Section "ServerLayout"
        Identifier     "Scott Configured"
        Screen      0  "Screen0" 0 0
        Screen      1  "Screen1" LeftOf "Screen0"
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection
Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Sony"
        ModelName    "CPD-300SFT"
        HorizSync   30.0-86.0
        VertRefresh 48.0-150.0
EndSection
Section "Monitor"
        Identifier   "Monitor1"
        VendorName   "Samtron"
        ModelName    "SC-428VS"
        HorizSync   31.5-35.5
        VertRefresh 43.5-70.0
EndSection
Section "Device"
        Identifier   "Matrox Millennium II 8MB"
        Driver       "mga"
        VendorName   "Matrox Millennium II 8MB"
        BoardName     "Matrox Millennium II 8MB"
        BusID "PCI:0:12:0"
EndSection
Section "Device"
        Identifier   "Matrox Millennium 2MB"
        Driver       "mga"
        VendorName   "Matrox Millennium 2MB"
        BoardName     "Matrox Millennium 2MB"
        BusID "PCI:0:11:0"
EndSection
Section "Screen"
        Identifier   "Screen0"
        Device       "Matrox Millennium II 8MB"
        Monitor      "Monitor0"
        DefaultDepth    24
        Subsection "Display"
                Depth       24
                Modes       "1280x1024" 
        EndSubsection
EndSection
Section "Screen"
        Identifier   "Screen1"
        Device       "Matrox Millennium 2MB"
        Monitor      "Monitor1"
        DefaultDepth    24
        Subsection "Display"
          Depth       24
                Modes       "1024x768"
        EndSubsection
EndSection
Comment 1 Mike A. Harris 2000-12-06 11:32:08 EST
Is this reproduceable with the XFree packages in 7.0?
You're using XFRee 4.x right?
Comment 2 Mike A. Harris 2001-05-25 05:07:31 EDT
Not an X bug, this is a kernel issue, reassigning...
Comment 3 Arjan van de Ven 2001-05-25 05:13:49 EDT
Unalligned traps are a XFree issue
The Machine Exceptions should be fixed already.
Comment 4 Mike A. Harris 2001-05-25 05:28:25 EDT
Ok, thanks for the fast response Arjan!  I just realized they were kernel
log messages (dunno why I didn't notice that before) and so assumed it was
kernel problem.

Any ideas what I should look for?

Harry, can you please try the latest packages for Alpha from:
ftp://people.redhat.com/mharris/testing
There is a very good chance that the patches that Jay Estabrook sent me
fix this and other problems.  I do not have the hardware to verify this
however so I will need you to try these packages as soon as possible
and update the bug report.  If the problem persists, I need full log files,
and your complete XFree86 config files as uncompressed file attachments
using the link below.

Thanks.
Comment 5 Arjan van de Ven 2001-05-25 05:34:40 EDT
Unalligned trap means Xfree tries to read or write memory that isn't properly
alligned. Eg reading an 4byte integer at a non-32-bits alligned word etc
Comment 6 Phil Copeland 2001-06-04 13:05:02 EDT
Please try the XFree dist from rawhide
ftp://rawhide.redhat.com/redhat/linux/rawhide/alpha/RedHat/RPMS/

Cheers

Note You need to log in before you can comment on or make changes to this bug.